Bug 74181 - Web Inspector: add "install source map" to JS source frame context menu.
Summary: Web Inspector: add "install source map" to JS source frame context menu.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Pavel Podivilov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-09 07:00 PST by Pavel Podivilov
Modified: 2011-12-22 08:46 PST (History)
10 users (show)

See Also:


Attachments
Patch (11.71 KB, patch)
2011-12-09 07:02 PST, Pavel Podivilov
no flags Details | Formatted Diff | Diff
Patch (12.23 KB, patch)
2011-12-12 03:42 PST, Pavel Podivilov
pfeldman: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Podivilov 2011-12-09 07:00:38 PST
Web Inspector: add "install source map" to JS source frame context menu.
Comment 1 Pavel Podivilov 2011-12-09 07:02:18 PST
Created attachment 118572 [details]
Patch
Comment 2 Pavel Feldman 2011-12-09 07:07:07 PST
Comment on attachment 118572 [details]
Patch

Is there a screenshot for this UI change?
Comment 3 Pavel Podivilov 2011-12-09 07:31:25 PST
(In reply to comment #2)
> (From update of attachment 118572 [details])
> Is there a screenshot for this UI change?

Currently, it's just a context menu item that appears when source map is auto detected. Do you think screenshot could be useful?
Comment 4 Pavel Feldman 2011-12-09 08:16:28 PST
Comment on attachment 118572 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=118572&action=review

> Source/WebCore/inspector/front-end/JavaScriptSourceFrame.js:160
> +            var installSourceMapLabel = WebInspector.UIString(WebInspector.useLowerCaseMenuTitles() ? "Install source map" : "Install Source Map");

Please add it to the localized strings list.
Comment 5 Pavel Feldman 2011-12-09 08:16:52 PST
> Currently, it's just a context menu item that appears when source map is auto detected. Do you think screenshot could be useful?

It would be nice to see this kind of information in the ChangeLog.
Comment 6 Pavel Podivilov 2011-12-12 03:42:16 PST
Created attachment 118769 [details]
Patch
Comment 7 Pavel Podivilov 2011-12-22 08:46:26 PST
Committed r103541: <http://trac.webkit.org/changeset/103541>